Bug 181301 - Conflicting manpages: ncarg
Conflicting manpages: ncarg
Product: Fedora
Classification: Fedora
Component: ncarg (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-02-13 04:11 EST by Ivan Gyurdiev
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 4.4.1-3.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-20 16:40:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ivan Gyurdiev 2006-02-13 04:11:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv: Gecko/20060202 Fedora/ Firefox/

Description of problem:
Transaction Check Error:   file /usr/share/man/man3/line.3.gz from install of allegro-devel-4.2.0-7 conflicts with file from package ncarg-4.4.1-2.fc5

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install ncarg
2. Install allegro-devel

Additional info:
Comment 1 Jindrich Novy 2006-02-13 04:30:52 EST
I believe this needs fixing on ncarg side as allegro-devel is installed much
more frequently than the FORTRAN77 Graphics Library.
Comment 2 Ivan Gyurdiev 2006-02-13 04:47:14 EST
What I don't understand is what happened to the concept of namespace, and not
polluting it. Why do people create C functions called line()? 
Comment 3 Ivan Gyurdiev 2006-02-13 06:50:12 EST
So... as far as I can tell, both are broken, and I'm not sure why package
popularity is relevant at all. 

AFAICS not a single allegro function or symbol has a namespace prefix like it

Comment 4 Orion Poplawski 2006-02-20 16:40:47 EST
Both are broken.  I've renamed the man3 pages in ncarg to ncarg_<name>. 
Jindrich, I suggest allegro do the same or similar.  I'm closing the bug though
since they can both be installed now.

Note You need to log in before you can comment on or make changes to this bug.